
import request from '@/http/request.js';
import { callPostFormFile, callPostAll, callPostFile } from '@/http/api.call';
// 外汇即期单货币头寸
export const getForeignCurrencyList = (data) => {
  return request({
    url: 'pos/equery.action',
    method: 'post',
    data,
  });
};
// 导出
export const exportForData = callPostFormFile('/pos/equery.action');

// pv01头寸
export const getPv01DataList = (data) => {
  return request({
    url: 'pos/pos/pv01DataQuery.action',
    method: 'post',
    data,
  });
};

// 外汇现金流查询
export const getTtCashFlowList = (data) => {
  return request({
    url: 'pos/pos/queryTtCashFlow.action',
    method: 'post',
    data,
  });
};

// 期限列设置
export const queryTerm = (data) => {
  return request({
    url: 'pos/pos/queryTerm.action',
    method: 'post',
    data,
  });
};

// 获取现金流期限列设置
export const findPreferenceDtoByUserId = (data) => {
  return request({
    url: 'pos/pos/findPreferenceDtoByUserIdAndType.action',
    method: 'post',
    data,
  });
};

// 保存期限列设置
export const updatePreferenceDto = (data) => {
  return request({
    url: 'pos/pos/updatePreferenceDto.action',
    method: 'post',
    data,
  });
};

